package hdl

import (
	"applet/app/e"
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

func Demo(c *gin.Context) {
	var args interface{}
	err := c.ShouldBindJSON(&args)
	if err != nil {
		err = svc.HandleValidateErr(err)
		err1 := err.(e.E)
		e.OutErr(c, err1.Code, err1.Error())
		return
	}

	e.OutSuc(c, map[string]interface{}{
		"args": args,
	}, nil)
	return
}
