package md

type LoginReq struct {
	UserName string `json:"username" binding:"required" example:"登录账号"`
	PassWord string `json:"password" binding:"required" example:"登录密码"`
	Code     string `json:"code"  example:"验证码"`
}

type LoginResponse struct {
	Token string `json:"token"`
}

type LoginInfoResponse struct {
	AdmId                int    `json:"adm_id" ` // 管理员id
	Username             string `json:"username" example:"登录账号"`
	IsSuperAdministrator int    `json:"is_super_administrator"` // 是否为超级管理员(0:否 1:是)
	Memo                 string `json:"memo" example:"备注信息"`
	CreateAt             string `json:"create_at" `
	UpdateAt             string `json:"update_at" `
}
