package dao

import "code.fnuoos.com/zhimeng/model.git/src/super/model"

type SysCfgDao interface {
	SysCfgGetAll() (*[]model.SysCfg, error)
	SysCfgGetOneNoDataNoErr(key string) (*model.SysCfg, error)
	SysCfgGetOne(key string) (*model.SysCfg, error)
	SysCfgInsert(key, val, memo string) bool
	SysCfgUpdate(key, val string) bool
	SysCfgGetWithDb(HKey string) string
	SysCfgDel(HKey string) error
	SysCfgFindWithDb(keys ...string) map[string]string
}
