package enum

type RoleState int32

const (
	RoleStateForNormal = 1
	RoleStateForFreeze = 2
)

func (gt RoleState) String() string {
	switch gt {
	case RoleStateForNormal:
		return "正常"
	case RoleStateForFreeze:
		return "冻结"
	default:
		return "未知"
	}
}
